Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum ValidationMode

    java.lang.Object
      java.lang.Enum<ValidationMode>
          javax.persistence.ValidationMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ValidationMode>

    public enum ValidationMode

extends java.lang.Enum<ValidationMode>

The validation mode to be used by the provider for the persistence unit.

Since:
  Java Persistence 2.0

Enum Constant Summary
`AUTO` If a Bean Validation provider is present in the environment, the persistence provider must perform the automatic validation of entities.
`CALLBACK` The persistence provider must perform the lifecycle event validation.
`NONE` The persistence provider must not perform lifecycle event validation.

Method Summary
`static ValidationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ValidationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final ValidationMode AUTO

  If a Bean Validation provider is present in the environment, the persistence provider must perform the automatic validation of entities. If no Bean Validation provider is present in the environment, no lifecycle event validation takes place. This is the default behavior.

### CALLBACK

    public static final ValidationMode CALLBACK

  The persistence provider must perform the lifecycle event validation. It is an error if there is no Bean Validation provider present in the environment.

### NONE

    public static final ValidationMode NONE

  The persistence provider must not perform lifecycle event validation.

Method Detail

### values

    public static ValidationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValidationMode c : ValidationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValidationMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD